From 73511f5c387767d07b6d96ea54745e450f629262 Mon Sep 17 00:00:00 2001
From: Cristiano Alpigiani <cristiano.alpigiani@cern.ch>
Date: Mon, 19 Jun 2023 13:04:00 +0200
Subject: [PATCH] Updating derivation ARTs in 23.0

Updating derivation ARTs in 23.0

The deriv ARTs are not currently running in 23.0 since the # art-include: 23.0/Athena is not currently include. With this MR we are synchronising 23.0 with master.
---
 .../test/test_data18FTAG1.sh                  |   1 +
 .../test/test_data18FTAG2.sh                  |   1 +
 .../test/test_data18FTAG3.sh                  |  33 +++
 .../test/test_data22FTAG1.sh                  |   1 +
 .../test/test_data22FTAG2.sh                  |   1 +
 .../test/test_data22FTAG3.sh                  |  33 +++
 .../test/test_mc20FTAG1.sh                    |   1 +
 .../test/test_mc20FTAG2.sh                    |   1 +
 .../test/test_mc20FTAG3.sh                    |  33 +++
 .../test/test_mc21FTAG1.sh                    |   1 +
 .../test/test_mc21FTAG2.sh                    |   1 +
 .../test/test_mc21FTAG3.sh                    |  33 +++
 .../test/test_data18CPandPAformats.sh         | 272 ++++++++++++++++++
 .../test/test_data22CPandPAformats.sh         | 272 ++++++++++++++++++
 .../test/test_mc20CPandPAformats.sh           | 272 ++++++++++++++++++
 .../test/test_mc21CPandPAformats.sh           | 272 ++++++++++++++++++
 .../test/test_data22TRIG8.sh                  |  33 +++
 17 files changed, 1261 insertions(+)
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG3.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG3.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG3.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG3.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data18CPandPAformats.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data22CPandPAformats.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc20CPandPAformats.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc21CPandPAformats.sh
 create mode 100755 PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTriggerART/test/test_data22TRIG8.sh

diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG1.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG1.sh
index 412543edbb91..f9ec299a79af 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG1.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG1.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG1 data18
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG2.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG2.sh
index 8b4e1fdc91d3..56d32a567441 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG2.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG2.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG2 data18
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG3.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG3.sh
new file mode 100755
index 000000000000..1083e73411ac
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data18FTAG3.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-include: 23.0/Athena
+# art-description: DAOD building FTAG3 data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/data18/AOD/data18_13TeV.00357772.physics_Main.merge.AOD.r13286_p4910/1000events.AOD.27655096._000455.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats FTAG3 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG1.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG1.sh
index f60fe68bdd1e..a260378ec5e6 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG1.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG1.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG1 data22
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG2.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG2.sh
index 2505527f8fff..6c3840205cb6 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG2.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG2.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG2 data22
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG3.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG3.sh
new file mode 100755
index 000000000000..452026696fcf
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_data22FTAG3.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-include: 23.0/Athena
+# art-description: DAOD building FTAG3 data22
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/data22/AOD/data22_13p6TeV.00431906.physics_Main.merge.AOD.r13928_p5279/1000events.AOD.30220215._001367.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats FTAG3 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG1.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG1.sh
index 753eccfd6007..8dbcf03d67c5 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG1.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG1.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG1 mc20
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG2.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG2.sh
index fa972648eaaf..af0713a60b9e 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG2.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG2.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG2 mc20
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG3.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG3.sh
new file mode 100755
index 000000000000..bb8fe470df12
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc20FTAG3.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-include: 23.0/Athena
+# art-description: DAOD building FTAG3 mc20
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/mc20/AOD/mc20_13TeV.410470.PhPy8EG_A14_ttbar_hdamp258p75_nonallhad.recon.AOD.e6337_s3681_r13145/1000events.AOD.27121237._002005.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats FTAG3 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG1.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG1.sh
index bb60769b9d20..b7fb3e147ec4 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG1.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG1.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG1 mc21
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG2.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG2.sh
index c9a95a27c4f1..331a341b2578 100755
--- a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG2.sh
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG2.sh
@@ -1,6 +1,7 @@
 #!/bin/sh
 
 # art-include: master/Athena
+# art-include: 23.0/Athena
 # art-description: DAOD building FTAG2 mc21
 # art-type: grid
 # art-output: *.pool.root
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG3.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG3.sh
new file mode 100755
index 000000000000..d88915279cec
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkFlavourTagART/test/test_mc21FTAG3.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-include: 23.0/Athena
+# art-description: DAOD building FTAG3 mc21
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/mc21/AOD/mc21_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.recon.AOD.e8453_s3873_r13829/1000events.AOD.29787656._000153.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats FTAG3 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data18CPandPAformats.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data18CPandPAformats.sh
new file mode 100755
index 000000000000..5a2ab0c1a542
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data18CPandPAformats.sh
@@ -0,0 +1,272 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 data18
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/data18/AOD/data18_13TeV.00357772.physics_Main.merge.AOD.r13286_p4910/1000events.AOD.27655096._000455.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_EGAM1.art.pool.root > checkFile_EGAM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM1.art.pool.root > checkxAOD_EGAM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM1.art.pool.root > checkIndexRefs_EGAM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM2.art.pool.root > checkFile_EGAM2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM2.art.pool.root > checkxAOD_EGAM2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM2.art.pool.root > checkIndexRefs_EGAM2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM3.art.pool.root > checkFile_EGAM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM3.art.pool.root > checkxAOD_EGAM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM3.art.pool.root > checkIndexRefs_EGAM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM4.art.pool.root > checkFile_EGAM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM4.art.pool.root > checkxAOD_EGAM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM4.art.pool.root > checkIndexRefs_EGAM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM5.art.pool.root > checkFile_EGAM5.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM5.art.pool.root > checkxAOD_EGAM5.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM5.art.pool.root > checkIndexRefs_EGAM5.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM7.art.pool.root > checkFile_EGAM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM7.art.pool.root > checkxAOD_EGAM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM7.art.pool.root > checkIndexRefs_EGAM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM8.art.pool.root > checkFile_EGAM8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM8.art.pool.root > checkxAOD_EGAM8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM8.art.pool.root > checkIndexRefs_EGAM8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM9.art.pool.root > checkFile_EGAM9.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM9.art.pool.root > checkxAOD_EGAM9.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM9.art.pool.root > checkIndexRefs_EGAM9.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM10.art.pool.root > checkFile_EGAM10.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM10.art.pool.root > checkxAOD_EGAM10.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM10.art.pool.root > checkIndexRefs_EGAM10.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM1.art.pool.root > checkFile_JETM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM1.art.pool.root > checkxAOD_JETM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM1.art.pool.root > checkIndexRefs_JETM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM3.art.pool.root > checkFile_JETM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM3.art.pool.root > checkxAOD_JETM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM3.art.pool.root > checkIndexRefs_JETM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM4.art.pool.root > checkFile_JETM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM4.art.pool.root > checkxAOD_JETM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM4.art.pool.root > checkIndexRefs_JETM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM6.art.pool.root > checkFile_JETM6.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM6.art.pool.root > checkxAOD_JETM6.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM6.art.pool.root > checkIndexRefs_JETM6.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG1.art.pool.root > checkFile_FTAG1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG1.art.pool.root > checkxAOD_FTAG1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG1.art.pool.root > checkIndexRefs_FTAG1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG2.art.pool.root > checkFile_FTAG2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG2.art.pool.root > checkxAOD_FTAG2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG2.art.pool.root > checkIndexRefs_FTAG2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_IDTR2.art.pool.root > checkFile_IDTR2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_IDTR2.art.pool.root > checkxAOD_IDTR2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_IDTR2.art.pool.root > checkIndexRefs_IDTR2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_TRIG8.art.pool.root > checkFile_TRIG8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_TRIG8.art.pool.root > checkxAOD_TRIG8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_TRIG8.art.pool.root > checkIndexRefs_TRIG8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_LLP1.art.pool.root > checkFile_LLP1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_LLP1.art.pool.root > checkxAOD_LLP1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_LLP1.art.pool.root > checkIndexRefs_LLP1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_STDM7.art.pool.root > checkFile_STDM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_STDM7.art.pool.root > checkxAOD_STDM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_STDM7.art.pool.root > checkIndexRefs_STDM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_HIGG1D1.art.pool.root > checkFile_HIGG1D1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_HIGG1D1.art.pool.root > checkxAOD_HIGG1D1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_HIGG1D1.art.pool.root > checkIndexRefs_HIGG1D1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data22CPandPAformats.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data22CPandPAformats.sh
new file mode 100755
index 000000000000..25621dfb7cf7
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_data22CPandPAformats.sh
@@ -0,0 +1,272 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 data22
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/data22/AOD/data22_13p6TeV.00431906.physics_Main.merge.AOD.r13928_p5279/1000events.AOD.30220215._001367.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_EGAM1.art.pool.root > checkFile_EGAM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM1.art.pool.root > checkxAOD_EGAM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM1.art.pool.root > checkIndexRefs_EGAM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM2.art.pool.root > checkFile_EGAM2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM2.art.pool.root > checkxAOD_EGAM2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM2.art.pool.root > checkIndexRefs_EGAM2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM3.art.pool.root > checkFile_EGAM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM3.art.pool.root > checkxAOD_EGAM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM3.art.pool.root > checkIndexRefs_EGAM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM4.art.pool.root > checkFile_EGAM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM4.art.pool.root > checkxAOD_EGAM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM4.art.pool.root > checkIndexRefs_EGAM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM5.art.pool.root > checkFile_EGAM5.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM5.art.pool.root > checkxAOD_EGAM5.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM5.art.pool.root > checkIndexRefs_EGAM5.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM7.art.pool.root > checkFile_EGAM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM7.art.pool.root > checkxAOD_EGAM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM7.art.pool.root > checkIndexRefs_EGAM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM8.art.pool.root > checkFile_EGAM8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM8.art.pool.root > checkxAOD_EGAM8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM8.art.pool.root > checkIndexRefs_EGAM8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM9.art.pool.root > checkFile_EGAM9.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM9.art.pool.root > checkxAOD_EGAM9.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM9.art.pool.root > checkIndexRefs_EGAM9.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM10.art.pool.root > checkFile_EGAM10.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM10.art.pool.root > checkxAOD_EGAM10.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM10.art.pool.root > checkIndexRefs_EGAM10.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM1.art.pool.root > checkFile_JETM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM1.art.pool.root > checkxAOD_JETM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM1.art.pool.root > checkIndexRefs_JETM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM3.art.pool.root > checkFile_JETM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM3.art.pool.root > checkxAOD_JETM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM3.art.pool.root > checkIndexRefs_JETM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM4.art.pool.root > checkFile_JETM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM4.art.pool.root > checkxAOD_JETM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM4.art.pool.root > checkIndexRefs_JETM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM6.art.pool.root > checkFile_JETM6.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM6.art.pool.root > checkxAOD_JETM6.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM6.art.pool.root > checkIndexRefs_JETM6.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG1.art.pool.root > checkFile_FTAG1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG1.art.pool.root > checkxAOD_FTAG1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG1.art.pool.root > checkIndexRefs_FTAG1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG2.art.pool.root > checkFile_FTAG2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG2.art.pool.root > checkxAOD_FTAG2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG2.art.pool.root > checkIndexRefs_FTAG2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_IDTR2.art.pool.root > checkFile_IDTR2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_IDTR2.art.pool.root > checkxAOD_IDTR2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_IDTR2.art.pool.root > checkIndexRefs_IDTR2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_TRIG8.art.pool.root > checkFile_TRIG8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_TRIG8.art.pool.root > checkxAOD_TRIG8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_TRIG8.art.pool.root > checkIndexRefs_TRIG8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_LLP1.art.pool.root > checkFile_LLP1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_LLP1.art.pool.root > checkxAOD_LLP1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_LLP1.art.pool.root > checkIndexRefs_LLP1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_STDM7.art.pool.root > checkFile_STDM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_STDM7.art.pool.root > checkxAOD_STDM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_STDM7.art.pool.root > checkIndexRefs_STDM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_HIGG1D1.art.pool.root > checkFile_HIGG1D1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_HIGG1D1.art.pool.root > checkxAOD_HIGG1D1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_HIGG1D1.art.pool.root > checkIndexRefs_HIGG1D1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc20CPandPAformats.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc20CPandPAformats.sh
new file mode 100755
index 000000000000..f6459be7c79f
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc20CPandPAformats.sh
@@ -0,0 +1,272 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 mc20
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/mc20/AOD/mc20_13TeV.410470.PhPy8EG_A14_ttbar_hdamp258p75_nonallhad.recon.AOD.e6337_s3681_r13145/1000events.AOD.27121237._002005.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_EGAM1.art.pool.root > checkFile_EGAM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM1.art.pool.root > checkxAOD_EGAM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM1.art.pool.root > checkIndexRefs_EGAM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM2.art.pool.root > checkFile_EGAM2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM2.art.pool.root > checkxAOD_EGAM2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM2.art.pool.root > checkIndexRefs_EGAM2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM3.art.pool.root > checkFile_EGAM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM3.art.pool.root > checkxAOD_EGAM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM3.art.pool.root > checkIndexRefs_EGAM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM4.art.pool.root > checkFile_EGAM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM4.art.pool.root > checkxAOD_EGAM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM4.art.pool.root > checkIndexRefs_EGAM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM5.art.pool.root > checkFile_EGAM5.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM5.art.pool.root > checkxAOD_EGAM5.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM5.art.pool.root > checkIndexRefs_EGAM5.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM7.art.pool.root > checkFile_EGAM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM7.art.pool.root > checkxAOD_EGAM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM7.art.pool.root > checkIndexRefs_EGAM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM8.art.pool.root > checkFile_EGAM8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM8.art.pool.root > checkxAOD_EGAM8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM8.art.pool.root > checkIndexRefs_EGAM8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM9.art.pool.root > checkFile_EGAM9.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM9.art.pool.root > checkxAOD_EGAM9.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM9.art.pool.root > checkIndexRefs_EGAM9.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM10.art.pool.root > checkFile_EGAM10.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM10.art.pool.root > checkxAOD_EGAM10.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM10.art.pool.root > checkIndexRefs_EGAM10.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM1.art.pool.root > checkFile_JETM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM1.art.pool.root > checkxAOD_JETM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM1.art.pool.root > checkIndexRefs_JETM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM3.art.pool.root > checkFile_JETM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM3.art.pool.root > checkxAOD_JETM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM3.art.pool.root > checkIndexRefs_JETM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM4.art.pool.root > checkFile_JETM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM4.art.pool.root > checkxAOD_JETM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM4.art.pool.root > checkIndexRefs_JETM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM6.art.pool.root > checkFile_JETM6.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM6.art.pool.root > checkxAOD_JETM6.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM6.art.pool.root > checkIndexRefs_JETM6.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG1.art.pool.root > checkFile_FTAG1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG1.art.pool.root > checkxAOD_FTAG1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG1.art.pool.root > checkIndexRefs_FTAG1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG2.art.pool.root > checkFile_FTAG2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG2.art.pool.root > checkxAOD_FTAG2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG2.art.pool.root > checkIndexRefs_FTAG2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_IDTR2.art.pool.root > checkFile_IDTR2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_IDTR2.art.pool.root > checkxAOD_IDTR2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_IDTR2.art.pool.root > checkIndexRefs_IDTR2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_TRIG8.art.pool.root > checkFile_TRIG8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_TRIG8.art.pool.root > checkxAOD_TRIG8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_TRIG8.art.pool.root > checkIndexRefs_TRIG8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_LLP1.art.pool.root > checkFile_LLP1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_LLP1.art.pool.root > checkxAOD_LLP1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_LLP1.art.pool.root > checkIndexRefs_LLP1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_STDM7.art.pool.root > checkFile_STDM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_STDM7.art.pool.root > checkxAOD_STDM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_STDM7.art.pool.root > checkIndexRefs_STDM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_HIGG1D1.art.pool.root > checkFile_HIGG1D1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_HIGG1D1.art.pool.root > checkxAOD_HIGG1D1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_HIGG1D1.art.pool.root > checkIndexRefs_HIGG1D1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc21CPandPAformats.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc21CPandPAformats.sh
new file mode 100755
index 000000000000..bdf5431465dc
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTrainsART/test/test_mc21CPandPAformats.sh
@@ -0,0 +1,272 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-description: DAOD building EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 mc21
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/mc21/AOD/mc21_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.recon.AOD.e8453_s3873_r13829/1000events.AOD.29787656._000153.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats EGAM1 EGAM2 EGAM3 EGAM4 EGAM5 EGAM7 EGAM8 EGAM9 EGAM10 JETM1 JETM3 JETM4 JETM6 FTAG1 FTAG2 FTAG3 IDTR2 TRIG8 LLP1 STDM7 HIGG1D1 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_EGAM1.art.pool.root > checkFile_EGAM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM1.art.pool.root > checkxAOD_EGAM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM1.art.pool.root > checkIndexRefs_EGAM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM2.art.pool.root > checkFile_EGAM2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM2.art.pool.root > checkxAOD_EGAM2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM2.art.pool.root > checkIndexRefs_EGAM2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM3.art.pool.root > checkFile_EGAM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM3.art.pool.root > checkxAOD_EGAM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM3.art.pool.root > checkIndexRefs_EGAM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM4.art.pool.root > checkFile_EGAM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM4.art.pool.root > checkxAOD_EGAM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM4.art.pool.root > checkIndexRefs_EGAM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM5.art.pool.root > checkFile_EGAM5.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM5.art.pool.root > checkxAOD_EGAM5.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM5.art.pool.root > checkIndexRefs_EGAM5.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM7.art.pool.root > checkFile_EGAM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM7.art.pool.root > checkxAOD_EGAM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM7.art.pool.root > checkIndexRefs_EGAM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM8.art.pool.root > checkFile_EGAM8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM8.art.pool.root > checkxAOD_EGAM8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM8.art.pool.root > checkIndexRefs_EGAM8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM9.art.pool.root > checkFile_EGAM9.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM9.art.pool.root > checkxAOD_EGAM9.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM9.art.pool.root > checkIndexRefs_EGAM9.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_EGAM10.art.pool.root > checkFile_EGAM10.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_EGAM10.art.pool.root > checkxAOD_EGAM10.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_EGAM10.art.pool.root > checkIndexRefs_EGAM10.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM1.art.pool.root > checkFile_JETM1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM1.art.pool.root > checkxAOD_JETM1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM1.art.pool.root > checkIndexRefs_JETM1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM3.art.pool.root > checkFile_JETM3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM3.art.pool.root > checkxAOD_JETM3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM3.art.pool.root > checkIndexRefs_JETM3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM4.art.pool.root > checkFile_JETM4.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM4.art.pool.root > checkxAOD_JETM4.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM4.art.pool.root > checkIndexRefs_JETM4.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_JETM6.art.pool.root > checkFile_JETM6.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_JETM6.art.pool.root > checkxAOD_JETM6.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_JETM6.art.pool.root > checkIndexRefs_JETM6.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG1.art.pool.root > checkFile_FTAG1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG1.art.pool.root > checkxAOD_FTAG1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG1.art.pool.root > checkIndexRefs_FTAG1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG2.art.pool.root > checkFile_FTAG2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG2.art.pool.root > checkxAOD_FTAG2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG2.art.pool.root > checkIndexRefs_FTAG2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_FTAG3.art.pool.root > checkFile_FTAG3.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_FTAG3.art.pool.root > checkxAOD_FTAG3.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_FTAG3.art.pool.root > checkIndexRefs_FTAG3.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_IDTR2.art.pool.root > checkFile_IDTR2.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_IDTR2.art.pool.root > checkxAOD_IDTR2.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_IDTR2.art.pool.root > checkIndexRefs_IDTR2.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_TRIG8.art.pool.root > checkFile_TRIG8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_TRIG8.art.pool.root > checkxAOD_TRIG8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_TRIG8.art.pool.root > checkIndexRefs_TRIG8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_LLP1.art.pool.root > checkFile_LLP1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_LLP1.art.pool.root > checkxAOD_LLP1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_LLP1.art.pool.root > checkIndexRefs_LLP1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_STDM7.art.pool.root > checkFile_STDM7.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_STDM7.art.pool.root > checkxAOD_STDM7.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_STDM7.art.pool.root > checkIndexRefs_STDM7.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
+
+checkFile.py DAOD_HIGG1D1.art.pool.root > checkFile_HIGG1D1.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_HIGG1D1.art.pool.root > checkxAOD_HIGG1D1.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_HIGG1D1.art.pool.root > checkIndexRefs_HIGG1D1.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
diff --git a/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTriggerART/test/test_data22TRIG8.sh b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTriggerART/test/test_data22TRIG8.sh
new file mode 100755
index 000000000000..43bd2cf09903
--- /dev/null
+++ b/PhysicsAnalysis/DerivationFramework/DerivationFrameworkART/DerivationFrameworkTriggerART/test/test_data22TRIG8.sh
@@ -0,0 +1,33 @@
+#!/bin/sh
+
+# art-include: master/Athena
+# art-include: 23.0/Athena
+# art-description: DAOD building TRIG8 data22
+# art-type: grid
+# art-output: *.pool.root
+# art-output: checkFile*.txt
+# art-output: checkxAOD*.txt
+# art-output: checkIndexRefs*.txt
+
+set -e
+
+Derivation_tf.py \
+--CA True \
+--inputAODFile /cvmfs/atlas-nightlies.cern.ch/repo/data/data-art/CampaignInputs/data22/AOD/data22_13p6TeV.00431906.physics_Main.merge.AOD.r13928_p5279/1000events.AOD.30220215._001367.pool.root.1 \
+--outputDAODFile art.pool.root \
+--formats TRIG8 \
+--maxEvents -1 \
+
+echo "art-result: $? reco"
+
+checkFile.py DAOD_TRIG8.art.pool.root > checkFile_TRIG8.txt
+
+echo "art-result: $?  checkfile"
+
+checkxAOD.py DAOD_TRIG8.art.pool.root > checkxAOD_TRIG8.txt
+
+echo "art-result: $?  checkxAOD"
+
+checkIndexRefs.py DAOD_TRIG8.art.pool.root > checkIndexRefs_TRIG8.txt 2>&1
+
+echo "art-result: $?  checkIndexRefs"
-- 
GitLab